#ifndef __CODE_VIRTUALIZER_H
#define __CODE_VIRTUALIZER_H

#include <Windows.h>
#include "Obfuscator.h"

__declspec(dllexport) VOID CvInit();

__declspec(dllexport) PVOID CvDriverFunctionObfuscate(PVOID Code, ULONG CodeSize, PULONG OutSize, ULONG BranchCount, FLOAT MaxBranchSizePercentage);

__declspec(dllexport) VOID CvDeleteCode(PVOID Code);

#endif